Page MenuHomePhabricator

Requesting access to deployment for Christoph Jauera (WMDE-Fisch)
Closed, ResolvedPublic

Description

Username: wmde-fisch
Full name: Christoph Jauera
Email address: christoph.jauera@wikimedia.de
Public key: P7878 ( also used in T202475 )

I'm a full time developer for WMDE for some years now and mostly working on task for the German-Community-Wishlist . This includes regular config-, backport- and extension- deployments. - It would help a lot to be a bit more independent there, especially to react to problems related to our features.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2018, 2:25 PM

Pinging @Tobi_WMDE_SW for engineering manager approval.

I'm approving this ticket from my side in my role as the responsible Engineering Manager at WMDE. The topic has been discussed within the teams here at WMDE and it would be of great help if @WMDE-Fisch gets deployment access.

Addshore added a subscriber: Addshore.

Change 477548 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] admin: add wmde-fisch to deployment

https://gerrit.wikimedia.org/r/477548

jijiki triaged this task as Normal priority.EditedDec 4 2018, 10:27 PM
jijiki added a subscriber: jijiki.

Pending SRE meeting approval and Release-Engineering-Team feedback

greg added a subscriber: greg.

Approved from our side.

Dzahn added a subscriber: Dzahn.Dec 10 2018, 8:48 PM

approved in SRE meeting SRE-2018-12-10#Access_Requests

Change 478790 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/puppet@production] admin: Add wmde-fisch to deployment group

https://gerrit.wikimedia.org/r/478790

Change 478790 merged by Dzahn:
[operations/puppet@production] admin: Add wmde-fisch to deployment group

https://gerrit.wikimedia.org/r/478790

Mentioned in SAL (#wikimedia-operations) [2018-12-10T22:13:26Z] <mutante> Welcome new Mediawiki deployer Christoph 'WMDE-Fisch' Jauera (T211014)

Dzahn closed this task as Resolved.Dec 10 2018, 10:22 PM
Dzahn claimed this task.

On deployment1001.eqiad.wmnet:

Notice: /Stage[main]/Admin/Admin::Hashuser[wmde-fisch]/Admin::User[wmde-fisch]/User[wmde-fisch]/ensure: created
..
Notice: /Stage[main]/Admin/Admin::Groupmembers[deployment]/Exec[deployment_ensure_members]/returns: executed successfully

@WMDE-Fisch Your access has been granted and puppet just created your shell user on the deployment server and the European bastion server. Within 30 minutes it will create it on all other applicable hosts. You already have access so i assume you know about the needed SSH config and how to proxy via the bastion host to the deployment server, but of course happy to answer any questions.

The current deployment server is deploy1001.eqiad.wmnet but i recommend to use deployment.eqiad.wmnet because the number might change in the future. Let us know if everything works or there are remaining problems.

Change 477548 abandoned by Mathew.onipe:
admin: add wmde-fisch to deployment

Reason:
duplicate already merged

https://gerrit.wikimedia.org/r/477548

@WMDE-Fisch Your access has been granted and puppet just created your shell user on the deployment server and the European bastion server. Within 30 minutes it will create it on all other applicable hosts. You already have access so i assume you know about the needed SSH config and how to proxy via the bastion host to the deployment server, but of course happy to answer any questions.
The current deployment server is deploy1001.eqiad.wmnet but i recommend to use deployment.eqiad.wmnet because the number might change in the future. Let us know if everything works or there are remaining problems.

Sorry for the slight delay. - It seems to work and I could just login \o/. - Thanks! 👍

I just added @WMDE-Fisch to wmf-deployment LDAP group which seems was not done with this